==================== 2.27.2 ====================

==================== 2.27.1 ====================

==================== 2.22.2 ====================

==================== 2.22.1 ====================

2008-03-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.22.0

2008-02-25  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.92

2008-02-15  Jaap Haitsma  <jaap@haitsma.org>

	* time-tool.c: (gst_time_tool_new):
	* time.desktop.in.in:
	Use new time-admin icon

2008-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.91

2008-01-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.90

2008-01-15  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.5.1

2008-01-15  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.5

2008-01-01  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c (gst_time_tool_init) (inhibit_screensaver): warn if it
	couldn't get a DBusConnection, don't try to use it either in this
	case. Fixes #475941.

2007-12-26  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c (add_synchronize_now_button): Removed, it's no longer
	added to the dialog's button area.
	(gst_time_tool_constructor): Use instead the new button in the builder
	file.
	* main.c: Add the new button to the policy widgets list.

2007-12-18  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.3

2007-12-12  Carlos Garnacho  <carlosg@gnome.org>

	* main.c (server_button_clicked):
	* time-tool.c (gst_time_run_timezone_dialog): Turn editing mode on
	when any dialog is running.

2007-11-14  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.2.1

2007-11-13  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.2

2007-10-30  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.21.1

2007-10-15  Denis Washington  <denisw@svn.gnome.org>

	* main.c: Use gst_dialog_require_authentication_for_widgets() to
	mark those widgets which need authentication to be used.

2007-09-29  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c: Adapt to liboobs 2.21.x API change.

2007-09-13  Carlos Garnacho  <carlosg@gnome.org>

	* tz-map.c: remove glade include

2007-09-03  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.92

2007-08-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.91

2007-07-28  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.1

2007-07-10  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.19.0

2007-04-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.18.1

2007-04-09  Carlos Garnacho  <carlosg@gnome.org>

	* e-map.c (e_map_realize): set leave and enter notify to the event
	mask.
	* tz-map.c (update_hover_point): moved functionality from the motion
	handler, updates the hover point.
	(motion): call update_hover_point.
	(in_map): new function, updates the hover point when the pointer
	enters the map. Fixes #417386.

2007-03-30  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* time-tool.c: (add_synchronize_now_button): Fix build (string 
	was wrongly marked for translation).

2007-03-30  Claude Paroz  <claude@2xlibre.net>

	* time-tool.c: (add_synchronize_now_button): Marking string for
	translation. Fixes bug #416436.

2007-03-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.18.0

2007-02-27  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.92

2007-02-19  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c (gst_time_tool_close): stop ticking clock when closing
	the tool.

2007-02-12  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.91

2007-01-09  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.5

2007-01-08  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.4

2007-01-01  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c (inhibit_screensaver): fix possible leak.
	(on_option_configuration_changed) (on_synchronize_now_clicked): use
	new gst_tool_commit_async() API.

2006-12-04  Carlos Garnacho  <carlosg@gnome.org>

	* tz-map.[ch], ntp-servers-list.c, time-tool.c: fix compiler warnings.
	* time-tool.c: changes for GUI redesign.

2006-12-01  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.3

2006-11-15  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c (gst_time_tool_close): added method implementation,
	applies the configuration if there's a pending change when closing the
	tool.

2006-11-10  Kjartan Maraas  <kmaraas@gnome.org>

	* time-tool.c: (gst_time_tool_run_timezone_dialog):
	Fix compiler warnings.

2006-11-05  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.17.2

2006-11-03  Carlos Garnacho  <carlosg@gnome.org>

	* ntp-servers-list.c, tz-map.c: plug some leaks.

2006-11-03  Carlos Garnacho  <carlosg@gnome.org>

	* main.c: removed unused code.

2006-11-01  Carlos Garnacho  <carlosg@gnome.org>

	* tz-map.c (e_tz_map_new):
	* time-tool.c (init_timezone): fix potential invalid memory reads.
	hopefully fixes #363194

2006-10-30  Carlos Garnacho  <carlosg@gnome.org>

	Fix #355849

	* timeserv.[ch]: remove, code moved to ntp-servers-list.[ch]
	* Makefile.am, main.c: remove timeserv.h
	* ntp-servers-list.[ch] (toggle_ntp_server): added, safe way to toggle
	a NTP server usage.
	(on_ntp_addserver): moved from timeserv.[ch]

2006-10-05  Carlos Garnacho  <carlosg@gnome.org>

	Patch by Darren Kenny  <Darren.Kenny@Sun.COM> and Erast Benson
	<erast@gnusolaris.com> to parse correctly timezones in SunOS.

	* tz.[ch]: add SunOS specific codepaths.

2006-09-30  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.5

2006-09-23  Carlos Garnacho  <carlosg@gnome.org>

	* tz-map.c. tz-map.h (map) (unmap) (e_tz_map_new): only initialize the 
	dot blinking timeout when the world map is visible.
	* time-tool.c (gst_time_tool_run_timezone_dialog): explicitly show and
	hide the world map widget.
	* e-map/e-map.c: slight code cleanup.

2006-09-23  Carlos Garnacho  <carlosg@gnome.org>

	* tz-map.c (e_tz_map_set_tz_from_name):
	* tz.c (tz_load_db): Behave nicely with NULL and empty timezones.

2006-09-07  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.4

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.3

2006-09-04  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c (get_ntp_service): use gst_service_get_role()

2006-09-01  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c: separate NTP check to its own function

2006-08-29  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.[ch] (inhibit_screensaver): fix wrong g_return_if_fail.
	(on_ntp_use_toggled) (on_synchronize_now_clicked)
	(gst_time_tool_constructor) (gst_time_tool_update_gui): add
	"synchronize now" functionality.

2006-08-23  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c (inhibit_screensaver): avoid a crasher if there's no
	gnome-screensaver. Noticed by Michael Vogt  <mvo@ubuntu.com>

2006-08-23  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c (gst_time_tool_update_config): added.

2006-08-11  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.2

2006-08-04  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c (on_ntp_use_toggled) (gst_time_tool_update_gui): check
	that the NTP service exists to avoid critical warnings. Fixes #347551 
	(Jose M. daLuz)

2006-08-04  Carlos Garnacho  <carlosg@gnome.org>

	* Makefile.am: link to DBus
	* time-tool.c (inhibit_screensaver): added, inhibits/uninhibits
	gnome-screensaver while changing time.

2006-08-02  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.1

2006-06-06  Carlos Garnacho  <carlosg@gnome.org>

	* Release 2.15.0

2006-06-05  Carlos Garnacho  <carlosg@gnome.org>

	* transfer.[ch]: deleted. No longer used

2006-06-05  Carlos Garnacho  <carlosg@gnome.org>

	* main.c (ntp_use_toggled): moved to time-tool.c
	* time-tool.[ch] (on_ntp_use_toggled): added and used.
	(gst_time_tool_update_gui): block the "ntp use" signal to prevent
	saving when updating the GUI.

2006-05-27  Carlos Garnacho  <carlosg@gnome.org>

	* ntp-servers-list.c: update NTP server for Japan. Fixes bug #340111

2006-05-27  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c: set an icon name
	* time.desktop.in.in: ditto, patch by Sebastien Bacher
        <seb128@debian.org>

2006-05-26  Gary Coady  <gary@lyranthe.org>

	* ntp-servers-list.c: update NTP server for Ireland. Fixes bug #337665

2006-05-24  Carlos Garnacho  <carlosg@gnome.org>

	* main.c: activate/deactivate NTP server according to the checkbox
	* time-tool.c (gst_time_tool_update_gui): update NTP use checkbox
	according to the NTP server status.

2006-05-22  Carlos Garnacho  <carlosg@gnome.org>

	* ntp-servers-list.[ch]: new files, manage NTP servers list.
	* Makefile.am: add these files.
	* main.c (populate_ntp_list): moved from here to ntp-servers-list.c.
	Ditto with ntp_servers[].
	* time-tool.[ch]: use ntp-servers-list.[ch], add back hability to
	show/edit NTP servers. made OobsObjects public.

2006-05-18  Carlos Garnacho  <carlosg@gnome.org>

	* time-tool.c: added, inherits from gst-tool, containing all the
	necessary to access the system time configuration
	* time-tool.h: modified to be time-tool.c header file
	* Makefile.am: compile these too
	* tz-map.[ch]: s/GstTimeTool/GstTool/g
	* timeserv.c: name in .glade file for the NTP servers list has
	changed, also enable by default the servers added by hand
	* main.c: refactor, comment some code out, use OobsTimeConfig instead
	of the XML interface. It works, but there are still lots of code to
	cut out.

2006-03-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.14.0

2006-01-31  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.13.2

2006-01-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.13.1

2006-01-02  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 2.13.0

2006-01-02  Carlos Garnacho Parro  <carlosg@gnome.org>

        * main.c: applied some string improvements suggested in bug
        #312962, by Adam Weinberger  <adamw@gnome.org>

2005-11-28  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.4.1

2005-09-04  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.4.0

2005-08-23  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.92

2005-08-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.2

2005-07-26  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.1

2005-07-25  Jaap A. Haitsma  <jaap@haitsma.org>

	* main.c: fix compilation problem with gcc 4.0. Closes #311334

2005-07-16  Carlos Garnacho Parro  <carlosg@gnome.org>

	* main.c: Really close the timezone and time servers dialogs when 
	pressing on the X. Closes #310412

2005-07-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.0.1

2005-07-05  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.3.0

2005-06-14  Carlos Garnacho Parro  <carlosg@gnome.org>

        * main.c: added full stop at the end of secondary text in
        GtkMessageDialogs. Fixes #152396

2005-04-20  Carlos Garnacho Parro  <carlosg@gnome.org>

	* main.c: applied string suggestion by Kjartan. Fixes #301303

2005-03-07  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.2.0

2005-03-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.92

2005-02-08  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.91

2005-01-25  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.90

2005-01-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* main.c: fixed a typo in the code

2005-01-14  Carlos Garnacho Parro  <carlosg@gnome.org>

	* main.c: use new GtkMessageDialog API for HIG dialogs

2005-01-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.4.1

2005-01-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.4

2004-12-21  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1.3

2004-11-03  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.1

2004-09-13  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 1.0

2004-09-01  Carlos Garnacho Parro  <carlosg@gnome.org>

	* Release 0.92

2004-08-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* tz.c: reverted some g_free()'s, stupid putenv doesn't like them
	freed

2004-08-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* main.c, timeserv.c, transfer.c, tz.c: fixed some memleaks

2004-08-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.91.0

2004-07-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.90

2004-07-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: added help buttons, removed unused code

2004-06-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.34

2004-06-08  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: improved a sentence

2004-05-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c, tz-map.c: replaced deprecated widgets with the new ones

2004-05-15  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.33.0

2004-04-19  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: fixes for compiling correctly in FreeBSD

2004-04-16  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: made the time tool to use the cool HIG message dialog

2004-02-05  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.32.0

2004-01-07  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.31.1

2003-12-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.31.0

2003-12-12  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* time.desktop.in.in: define X-GNOME-Bugzilla-*, added patch by
          Grzegorz Golawski <grzegol@pld.org.pl> to make the file
          freedesktop standard's compliant

2003-12-12  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: removed size forcing in the time zone dialog

2003-12-09  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.30.0

2003-11-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: (timezone_button_clicked) made it to check that the
	  old timezone exits. maybe fixes bug #125621

2003-10-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: removed package name from window titles

2003-10-31  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: removed a '\n' from a string

2003-10-24  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.29.0

2003-10-23  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: fixed some issues when changing the time backwards with
	  the seconds spinbutton. Fixed some memleaks

2003-10-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * transfer.c: the frontend now expects the months to begin from
          1 instead of 0 in the XML
		    
2003-10-15  Alvaro del Castillo <acs@barrapunto.com>

        * src/time/main.c: let the user change the time typing
 	  numbers
2003-10-13  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* release 0.28.0

2003-09-25  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c, time-tool.h: HIGified buttons in the time zone dialog

2003-08-25  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.27.0

2003-08-09  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* time.desktop.in.in: added startup notify

2003-07-21  Christian Neumair  <chris@gnome-de.org>

	* main.c: Made time zone/server dialog construction function
	HIG-compliant.

2003-07-08  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * time.desktop.in.in: moved menu entry to "system tools"

2003-06-11  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: Changed the NTP warning message. fixes #114502

2003-05-30  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.26.1

2003-05-20  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.26.0
	 
2003-05-06  Carlos Garnacho Parro  <garnacho@tuxerver.net>
 
        * Release 0.25.0

2003-03-22  Christian Neumair  <chris@gnome-de.org>

	* main.c: Some usability work.

2003-03-13  Christian Neumair  <chris@gnome-de.org>

	* *.(c|h): s/XST/GST/, s/Xst/Gst/, s/xst/gst/.
	* e-map/Makefile.am, Makefile.am: Reflect that.

2003-03-08  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.24.0

2003-02-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* Release 0.23.0

2003-02-12  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* transfer.c: removed some unused code.
	* main.c: moved time servers list from code to glade.

2003-02-10  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: added function xst_time_configure_calendar (), that
	  changes the GtkCalendar beginning day depending on the locales

2003-01-14  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* tz-map.c: some code did not follow the GST coding style, fixed

2002-12-28  Carlos Garcia Campos  <elkalmail@yahoo.es>

	* fixed bugs #98812, #100175

2002-12-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

        * Release 0.22

2002-12-02  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c, transfer.c, timeserv.c: solved bug #99744

2002-11-21  Carlos Garnacho Parro  <garnacho@tuxerver.net>

	* main.c: (xst_time_calendar_change_cb): added to manage clock stops
	  when clicking anywhere on the calendar. now the clock stops when you
	  change any time setting.

2002-11-12  Carlos Garnacho Parro <garnacho@tuxerver.net>

	* main.c: (xst_time_clock_tick) fixed to make clock tick correctly
	  when untouched

2002-09-13  Carlos Garnacho Parro <garparr@teleline.es>

	* main.c, transfer.c, tz-map.c tz.c, e-map/e-map-test.c,
	  e-map/e-map.c: Made it compile with the *_DISABLE_DEPRECATED flags
	* Makefile.am: removed xst-spin-button.[ch]

2002-09-13  Tambet Ingo  <tambet@ximian.com>

	* Makefile.am: Fix to make it compile again.

2002-09-03  Carlos Garnacho Parro  <garparr@teleline.es>

	* Release 0.21.0

2002-08-31  Carlos Garnacho Parro  <garparr@teleline.es>

	* Release 0.20.0

2002-04-07  AleX Espinoza  <cured@yahoo.com>

	* transfer.c (transfer_servers_xml_to_gui): Fixed the invalid cast
	warning: time-admin (pid:11274): GLib-GObject-WARNING **: invalid cast
	from (NULL) pointer to `GtkListStore'.

2002-03-27  AleX Espinoza  <cured@yahoo.com>

	* main.c: changed the signal in the signal list from
	'selection_changed' to 'cursor_changed', in order to
	work with the GtkTreeView Widget.

2002-03-23  AleX Espinoza  <cured@yahoo.com>

	* main.c (server_button_clicked): Modified the function to
	make the change for Time Server Dialog from GnomeDialog
	to GtkDialog.
	(server_construct_dialog): Added the function _construct
	function to construct the server dialog based on GtkDialog.

2002-03-19  AleX Espinoza  <cured@yahoo.com>

	* transfer.c (server_list_cb): Fixed the Inicialization problem
	in GValue value = {0, } with the help of Kevin Vandersloot
	<kfv101@psu.edu>

2002-02-14  James Willcox  <jwillcox@cs.indiana.edu>

	* More porting work.  The time tool should actually work now.
	There are some runtime warning yet that need sorted out.

2002-02-11  Seth Nickell  <snickell@stanford.edu>

	reviewed by: <delete if not using a buddy>

	* time.desktop.in.in:

2002-02-10  Chema Celorio  <chema@celorio.com>

	* Port to the GNOME 2.0 platform

2002-02-08  Chema Celorio  <chema@celorio.com>

	* configure.in: 0.12.0 here we go
2001-12-11  Israel Escalante <israel@ximian.com>

	* Release 0.10.0.

2001-12-02  Chema Celorio  <chema@celorio.com>

	* Makefile.am: move more stuff into CommonMakefile

2001-11-15  Hans Petter Jansson  <hpj@ximian.com>

	* transfer.c (transfer_string_spin_table): Remove.
	(transfer_string_calendar_table): Remove.
	(trans_tree): Remove.
	(transfer_string_spin_xml_to_gui): Remove.
	(transfer_string_spin_gui_to_xml): Remove.
	(transfer_string_calendar_xml_to_gui): Remove.
	(transfer_string_calendar_gui_to_xml): Remove.
	(transfer_time_gui_to_system): Remove.
	(transfer_time_system_to_gui): Remove.
	(get_int_from_node): Implement.
	(get_int_from_named_child): Implement.
	(set_node_from_int): Implement.
	(set_named_child_from_int): Implement.
	(transfer_time_xml_to_gui): Implement.
	(transfer_time_gui_to_xml): Implement.
	(transfer_xml_to_gui): Get localtime from backend.
	(transfer_gui_to_xml): Set localtime in backend.

2001-10-13  Hans Petter Jansson  <hpj@ximian.com>

	* tz.c: Removed some forgotten debug.
	
2001-10-11  Hans Petter Jansson  <hpj@ximian.com>

	* main.c (timezone_button_clicked): Update clock to match same UTC in
	new timezone.
	(xst_time_set_full): Implement.
	(xst_time_set_from_localtime): Implement.

	* transfer.c (transfer_time_gui_to_system): Set default TZ before
	setting clock.
	(transfier_time_system_to_gui): Trim down to one call to new
	xst_time_set_from_localtime().

	* tz-map.c (e_tz_map_get_location_by_name): Implement.

	* tz.c (tz_location_get_utc_offset): Implement.
	(tz_location_set_locally): Implement.

2001-10-10  Hans Petter Jansson  <hpj@ximian.com>

	* main.c (update_tz): No longer acts as a signal callback.
	(timezone_button_clicked): Store the timezone name in the tool,
	not in the sub-dialog widget. Allow timezone selection to be
	cancelled.
	(xst_time_tool_set_time_zone_name): Implement.

	* time-tool.h: Add time_zone_name to XstTimeTool, prettify all.

	* transfer.c (transfer_timezone_xml_to_gui): Set the timezone
	in the tool, and request an UI update from there.
	(transfer_timezone_gui_to_xml): Get the timezone from the tool.

	* tz-map.c (e_tz_map_get_selected_tz_name): Make code comprehensible.
	(button_pressed): Make code comprehensible and more robust.

2001-07-30  Abel Cheung  <maddog@linux.org.hk>

	* main.c (ntp_servers): More working open-access ntp servers from
	  http://www.eecis.udel.edu/~mills/ntp/clock1.htm

Wed Jul 25 15:02:42 2001  Arturo Espinosa Aldama  <arturo@ximian.com>

	* main.c (ntp_servers): #4355: wustl actually resides in
	Missouri, USA.

2001-07-12  Chema Celorio  <chema@celorio.com>

	* e-map/Makefile.am (LDADD): add
	XST_TOOL_LIB so that it can find libraries when the
	libraries are installed in non-standard prefixes

2001-05-30  Theo van Klaveren <t.vanklaveren@student.utwente.nl>

	* tz.c (tz_info_from_location): Fix this function on FreeBSD by
	using the normal POSIX API for the timezone stuff (localtime(3)
	and struct tm).

2001-05-29  Chema Celorio  <chema@celorio.com>

	* xst-spin-button.c (xst_spin_button_get_shadow_type): remove a warning

2001-05-29  Chema Celorio  <chema@celorio.com>

	* Makefile.am: use XST_LIBS and CFLAGS

2001-05-24  Arturo Espinosa Aldama  <arturo@ximian.com>

	* 0.5 RELEASE

2001-05-25  Chema Celorio  <chema@celorio.com>

	* transfer.c (transfer_time_gui_to_system): remove g_print

2001-05-22  Hans Petter Jansson  <hpj@ximian.com>

	* time-tool.h: Add map_hover_label.

	* main.c (load_widgets): Add map_hover_label.

	* tzmap.c (motion): Use map_hover_label ptr, not set data.

2001-05-23  Chema Celorio  <chema@celorio.com>

	* xst-spin-button.c (xst_spin_button_get_shadow_type): remove
	the call to get_prop_experimental

2001-05-22  Chema Celorio  <chema@celorio.com>

	* main.c (xst_time_update_date): when the clock loops
	we now update the day,month and year when necesary.

2001-05-21  Chema Celorio  <chema@celorio.com>

	* main.c (xst_time_spin_up): ok, the code is a lot better now.
	Removed g_print's
	(xst_time_spin_up):  Implement, use signals.
	(xst_time_spin_down): ditto
	(xst_time_spin): ditto
	(xst_time_spin_button_create): implement.

	* xst-spin-button.c : added spin_up and spin_down
	signals. Cleaned the code a bit.
	(xst_spin_button_timer): here
	(xst_spin_button_button_press): and here

2001-05-21  Chema Celorio  <chema@celorio.com>

	* main.c (xst_time_init_timezone): avoid a coredump
	from the location_label_vbox not beeing found

2001-05-21  Chema Celorio  <chema@celorio.com>

	* main.c : Comit something releasable for the time tool front
	end. The code is messy, but we need to have something working
	for the release. I will revisit this code soon.

	* transfer.c: ditto
	* xst-spin-button.c : ditto
	* xst-spin-button.h: ditto
	* time-tool.h : ditto

2001-05-18  Hans Petter Jansson  <hpj@ximian.com>

	* *.pam: Modified PAM configuration so that invoking as root works.

2001-05-17  Hans Petter Jansson  <hpj@ximian.com>

	* main.c: Pack hover label in its own box to prevent flashing when
	  hover selection changes.

2001-05-17  Hans Petter Jansson  <hpj@ximian.com>

	* *.pam: Modified PAM configuration so that console-helper will ask
	  for root auth.

2001-05-15  Chema Celorio  <chema@celorio.com>

	* transfer.c (transfer_time_system_to_gui): s/xst_spin/gtk_spin

	* main.c (xst_time_load_widgets): remove the xst_spin_button mistake

2001-05-15  Arturo Espinosa Aldama  <arturo@ximian.com>

	* xst-spin-button.c (xst_spin_button_get_shadow_type): Commented
	this code, which is not compatible with gtk 1.2.8.

2001-05-15  Chema Celorio  <chema@celorio.com>

	* transfer.c (transfer_string_spin_gui_to_xml): ditto

	* main.c (xst_time_set_spin): replace gtkspin with xstspin,
	(xst_time_load_widgets): create xst_spin_buttons
	use the pointers to the minutes,seconds and hour widgets

	* Makefile.am: add xst-spin-button.[ch]

	* xst-spin-button.h: add

	* xst-spin-button.c: Copy from gtk 1.2, we need to many changes
	to the behaivor and the implementation was starting to become
	very hack, it is best if we have our own widget.

2001-05-14  Chema Celorio  <chema@celorio.com>

	* timeserv.c: remove the extern time variable, pass the pointer of
	the tool arround.
	* tz-map.c: ditto

	* time-tool.h : new file

	* main.c: remove the global XstTime *time variable, pass the XstTool
	dialog arround
	(xst_time_clock_tick): rename clock_tick 
	(xst_time_init_timezone): rename from init_timezone_selection
	(main): sublass XstTool
	(xst_time_tool_new): impl
	(xst_time_load_widgets): impl

	* Makefile.am (time_admin_SOURCES): add time-tool.h

	* tz.c (tz_data_file_get): remove g_print

2001-05-12  Hans Petter Jansson  <hpj@ximian.com>

	* main.c (clock_tick): Put the freeze/thaw back in, since without them
	  the dialog would appear modified to the common code. Changed the
	  common code to prevent flickering instead.

2001-05-10  Chema Celorio  <chema@celorio.com>

	* main.c (clock_tick): remove the blinking BUG

2001-05-09  Arturo Espinosa Aldama  <arturo@ximian.com>

	* 0.4 RELEASE

2001-04-26  Chema Celorio  <chema@celorio.com>

	* Makefile.am: add $(srcdir) to security.in

2001-04-24  Arturo Espinosa Aldama  <arturo@ximian.com>

	* main.c (ntp_use_toggled): Get a warning if you don't have NTP support.
	Warning fixes.
	* transfer.c: Pass the tool parameter all over the place, avoiding tool
	global use.
	(transfer_misc_xml_to_tool): Get gui-independent parameters here, such as
	ntpinstalled.
	* tz.c: Warning fixes.
	* e-map/e-map-test.c: Warning fixes.
	* e-map/e-map.c: Warning fixes.

2001-03-30  Tambet Ingo  <tambet@ximian.com>

	* Makefile.am: Add gconf cflags.

2001-03-14  Hans Petter Jansson  <hpj@ximian.com>

	* transfer.c (transfer_time_gui_to_system): Implement.
	  (transfer_time_system_to_gui): Implement.
	  (transfer_xml_to_gui): Use transfer_time_system_to_gui().
	  (transfer_gui_to_xml): Use transfer_time_gui_to_system().

	  Eliminated time transfer to XML. Now does direct system calls in the
	  frontend (I'm not sure I like this from an architecture viewpoint,
	  but oh well).

2001-03-09  JP Rosevear  <jpr@ximian.com>

	* transfer.c (transfer_string_calendar_gui_to_xml): correct typo

2001-03-08  Arturo Espinosa Aldama  <arturo@ximian.com>

	* transfer.c: sync with backend XML change.

2001-02-28  Hans Petter Jansson  <hpj@ximian.com>

	* Makefile.am: Disable control-center entry.

2001-02-27  Chema Celorio  <chema@celorio.com>

	* Makefile.am (EXTRA_DIST): distcheck fixes

2001-02-22  Chema Celorio  <chema@celorio.com>

	* add xst_ prefix to the xml_ functions

2001-02-17  Chema Celorio  <chema@celorio.com>

	* main.c (main): pass NULL to tool_init as options

2001-02-06  jacob berkman  <jacob@ximian.com>

	* main.c: add signals list

2001-02-03  Christian Meyer  <chrisime@gnome.org>

	* time.desktop.in: Added German strings.

2001-02-02  jacob berkman  <jacob@ximian.com>

	* e-map/e-map.c: remove inclusion of tool.h

2001-01-29  jacob berkman  <jacob@ximian.com>

	* main.c (connect_signals): connect the apply signal to the save
	function

	* *.c: use new libsetuptool and new .glade

2001-01-15  Chema Celorio  <chema@celorio.com>

	*  Start ChangeLog

